%bcond_with Intra2net
%bcond_with xmllib
%bcond_with imap_utf7_support

# Detect Intra2net build environment
%if %{with Intra2net}
    %define with_xmllib 1
    %define with_imap_utf7_support 1
%endif

Summary:   library with functions common in Intra2net programs
Name:      libi2ncommon
Version:   ##VERSION##
Release:   1
License:   GPLv2 + linking exception
Group:     Intranator
Vendor:    Intra2net AG
Source:    %{name}-%{version}.tar.gz
Buildroot: /tmp/%{name}-%{version}-root
Prefix:    /usr/intranator
Requires:  libi2ncommon-utils = %{version}
BuildPrereq: libtool
BuildRequires: boost-devel >= 1.32.0
Obsoletes: libgettext


%description 
library with functions common in Intra2net programs

%package   devel
Summary:   library with functions common in Intra2net programs
Group:     Intranator/Development
Requires:  libi2ncommon = %{version}
Requires: boost-devel >= 1.32.0


%description devel
library with functions common in Intra2net programs


%package config
Summary:    library with a config module
Group:      Intranator
Requires:   libi2ncommon = %{version}

%description config
library with a config module.
The config module provides a global configuration system with decentralized
declaration of the config variables.

%if %{with xmllib}
%package xml
Summary:    library with a xml module
Group:      Intranator
Requires:   libi2ncommon = %{version}

%description xml
The xml module provides common xml functions.
%endif

%package utils
Summary:    library with open source utility modules
Group:      Intranator
License:    GPL version 2 + linking exception

%description utils
Library with open source utility modules.

%prep
%setup -q

%build
export PKG_CONFIG_PATH=/usr/lib/pkgconfig:/usr/intranator/lib/pkgconfig

mkdir build
cd build

export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"

CMAKE_OPTS=""
%if %{with xmllib}
    CMAKE_OPTS="$CMAKE_OPTS -DBUILD_XMLLIB=ON"
%endif
%if %{with imap_utf7_support}
    CMAKE_OPTS="$CMAKE_OPTS -DIMAP_UTF7_SUPPORT=ON"
%endif

cmake -DCMAKE_INSTALL_PREFIX="%{prefix}" $CMAKE_OPTS ../

make %{?_smp_mflags} VERBOSE=1

%check
cd build
make check

%install

cd build
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING.GPL
%{prefix}/lib/libi2ncommon.so*

%files devel
%defattr(-,root,root)
# No static library for now
#%{prefix}/lib/*.*a*
%{prefix}/lib/pkgconfig/*.pc
%{prefix}/include/

%files config
%defattr(-,root,root)
%doc COPYING.GPL
%{prefix}/lib/libi2ncommon_config.so*

%if %{with xmllib}
%files xml
%defattr(-,root,root)
%doc COPYING.GPL
%{prefix}/lib/libi2ncommon_xml.so*
%endif

%files utils
%defattr(-,root,root)
%doc COPYING.GPL
%{prefix}/lib/libi2ncommon_utils.so*
